Package org.eclipse.emf.cdo.common.id

## Interface CDOReference<OBJECT>

- All Known Subinterfaces:
    `CDOObjectReference`
  All Known Implementing Classes:
    `CDOIDReference`

      public interface CDOReference<OBJECT>

  Represents a reference from one object to another object, possibly `CDOID` or CDOObject typed.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `NO_INDEX` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EStructuralFeature` | `getSourceFeature()` | Deprecated. As of 4.10 use `getSourceReference()`.
    `int` | `getSourceIndex()` |
    `OBJECT` | `getSourceObject()` |
    `EReference` | `getSourceReference()` | Returns the source `EReference`.
    `OBJECT` | `getTargetObject()` |

- - ### Field Detail

    - #### NO_INDEX

          static final int NO_INDEX

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTargetObject

          OBJECT getTargetObject()

    - #### getSourceObject

          OBJECT getSourceObject()

    - #### getSourceFeature

          @Deprecated
          EStructuralFeature getSourceFeature()

      Deprecated.
      As of 4.10 use `getSourceReference()`.
      Returns the source `EReference`.

    - #### getSourceReference

          EReference getSourceReference()

      Returns the source `EReference`.
      Since:
        4.10

    - #### getSourceIndex

          int getSourceIndex()